package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@TableName(value = "mall_role")
@Data
@EqualsAndHashCode(callSuper = true)
public class MallRole extends BaseEntity {
	private static final long serialVersionUID = 1L;
	
    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
	private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="角色名称",name="name")
	private String name;
	@io.swagger.annotations.ApiModelProperty(value="是否可用 0可用 1不可用",name="available")
	private String available;
	@io.swagger.annotations.ApiModelProperty(value="角色描述",name="description")
	private String description;

	@TableField(exist = false)
    @io.swagger.annotations.ApiModelProperty(value="权限列表",name="menus")
	private String menus;


}
