package com.iformall.service.toutiao.miniapp;

import com.iformall.service.toutiao.miniapp.bean.TtMaSubscribeMessage;
import me.chanjar.weixin.common.error.WxErrorException;

/**
 * <pre>
 * 消息发送接口
 * </pre>
 *
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 */
public interface TtMaMsgService {

  String SUBSCRIBE_MSG_SEND_URL = "https://developer.toutiao.com/api/apps/subscribe_notification/developer/v1/notify";

  /**
   * <pre>
   * 发送订阅消息
   * https://microapp.bytedance.com/docs/zh-CN/mini-app/develop/server/subscribe-notification/notify/
   * </pre>
   *
   * @param subscribeMessage 订阅消息
   * @throws WxErrorException .
   */
  void sendSubscribeMsg(TtMaSubscribeMessage subscribeMessage) throws WxErrorException;

}
