package com.iformall.service.toutiao.miniapp.bean;

import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

import java.lang.reflect.Type;

/**
 * .
 *
 * @author S
 */
public class TtMaSubscribeMessageGsonAdapter implements JsonSerializer<TtMaSubscribeMessage> {
  @Override
  public JsonElement serialize(TtMaSubscribeMessage message, Type typeOfSrc, JsonSerializationContext context) {
    JsonObject messageJson = new JsonObject();

    messageJson.addProperty("access_token", message.getAccessToken());
    messageJson.addProperty("app_id", message.getAppId());
    messageJson.addProperty("tpl_id", message.getTplId());
    messageJson.addProperty("open_id", message.getOpenId());
    if (message.getPage() != null) {
      messageJson.addProperty("page", message.getPage());
    }

    messageJson.add("data", message.getData());

    return messageJson;
  }

}
