package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.3 转赠事件推送
 */
@Component
public class CardUserGiftingCardHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         *<xml>
         *   <ToUserName><![CDATA[gh_3fcea188bf78]]></ToUserName>
         *   <FromUserName><![CDATA[obLatjjwDolFjRRd3doGIdwNqRXw]]></FromUserName>
         *   <CreateTime>1474181868</CreateTime>
         *   <MsgType><![CDATA[event]]></MsgType>
         *   <Event><![CDATA[user_gifting_card]]></Event>
         *   <CardId><![CDATA[pbLatjhU-3pik3d4PsbVzvBxZvJc]]></CardId>
         *   <UserCardCode><![CDATA[297466945104]]></UserCardCode>
         *   <IsReturnBack>0</IsReturnBack>
         *   <FriendUserName><![CDATA[obLatjlNerkb62HtSdQUx66C4NTU]]></FriendUserName>
         *   <IsChatRoom>0</IsChatRoom>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_GIFTING_CARD)) {
        }
        return null;
    }

}
