package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.*;

@TableName(value = "wx_weapp_ext_set")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappExtSet extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="小程序ID",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="小程序类型(1-B端 2-C端)",name="type")
	private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="小程序扩展信息",name="extJson")
	private String extJson;
	@io.swagger.annotations.ApiModelProperty(value="提交审核列表",name="releaseJson")
	private String releaseJson;
    @io.swagger.annotations.ApiModelProperty(value="停车(0:不支持，1:etcp)",name="carSupport")
    private Integer carSupport;
	@io.swagger.annotations.ApiModelProperty(value="菜单(0:全有，1:我的/首页, 2:无停车)",name="storeApp")
	private Integer storeApp;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createDate")
	private Date createDate;
	@io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateDate")
	private Date updateDate;


}
