package com.iformall.enums;

/**
 * app平台
 * @author alascor
 */
public enum EnumMeterialType {
	/**
	 *      * 1	小程序图标	修改小程序图标接口	小于等于 2MB	jpeg、jpg、png	像素为 200 * 200
	 *      * 2	小程序服务类目资质材料	增加服务类目接口
	 *      * 补充服务类目资质信息接口	小于等于 2MB	jpeg、jpg、png
	 *      * 3	小程序名称审核材料	修改小程序名称接口	小于等于 2MB	jpeg、jpg、png
	 *      * 4	小程序落地页截图	申请「短视频挂载」能力接口	小于等于 2MB	jpeg、jpg、png
	 *      * 5	场景示例图	申请「获取用户手机号」能力接口	小于等于 5MB	jpeg、jpg、png
	 *      * 6	小程序分享模板图片	新增分享模板接口
	 *      * 修改分享模板接口	小于等于 1MB	jpeg、jpg、png	像素为 500 * 400
	 *      * 7	商铺营业执照、行业资质材料	提交商铺资质材料接口	小于等于 4MB	jpeg、jpg、png
	 *      * 8	服务商和商家的合作协议	提交商铺资质材料接口	小于等于 4MB	pdf
	 */

	one(1,"小程序图标",2097152,"jpeg,jpg、png",200,200),
	two(2,"小程序服务类目资质材料",2097152,"jpeg,jpg、png",null,null),
	three(3,"小程序名称审核材料",2097152,"jpeg,jpg、png",null,null),
	four(4,"小程序落地页截图",2097152,"jpeg,jpg、png",null,null),
	five(5,"场景示例图",5242880,"jpeg,jpg、png",null,null),
	six(6,"小程序分享模板图片",1048576,"jpeg,jpg、png",500,400),
	seven(7,"商铺营业执照、行业资质材料",4194304,"jpeg,jpg、png",null,null),
	enght(8,"服务商和商家的合作协议",4194304,"pdf",null,null),
	;

	EnumMeterialType(Integer code, String name,Integer size,String prefix,Integer wide,Integer height) {
		this.code = code;
		this.name = name;
		this.size = size;
		this.prefix = prefix;
		this.wide = wide;
		this.height = height;
	}
	
	private Integer code;
	private String name;
	private Integer size;
	private String prefix;
	private Integer wide;
	private Integer height;

	public Integer getCode() {
		return code;
	}
	public void setCode(Integer code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getSize() {
		return size;
	}
	public void setSize(Integer size) {
		this.size = size;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public Integer getWide() {
		return wide;
	}
	public void setWide(Integer wide) {
		this.wide = wide;
	}
	public Integer getHeight() {
		return height;
	}
	public void setHeight(Integer height) {
		this.height = height;
	}
	
	public static EnumMeterialType getByCode(Integer code) {
		for (EnumMeterialType e : EnumMeterialType.values()) {
			if (e.getCode().intValue() == code.intValue()) {
				return e;
			}
		}
		return null;
	}
}
