package com.iformall.service.toutiao.api.bean;

import com.google.gson.*;
import me.chanjar.weixin.common.util.json.GsonHelper;

import java.lang.reflect.Type;

/**
 * .
 *
 * @author S
 */
public class TtOpenNotifyMsgGsonAdapter implements JsonDeserializer<TtOpenNotifyMsg> {

  @Override
  public TtOpenNotifyMsg deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
    return convertFromJson(json.getAsJsonObject());
  }

  protected TtOpenNotifyMsg convertFromJson(JsonObject json) {
    TtOpenNotifyMsg openTicket = new TtOpenNotifyMsg();
    openTicket.setTicket(GsonHelper.getString(json,"Ticket"));
    openTicket.setFromUserName(GsonHelper.getString(json,"FromUserName"));
    openTicket.setCreateTime(GsonHelper.getString(json,"CreateTime"));
    openTicket.setMsgType(GsonHelper.getString(json,"MsgType"));
    openTicket.setEvent(GsonHelper.getString(json,"Event"));

    openTicket.setAppId(GsonHelper.getString(json,"AppId"));
    openTicket.setTpAppId(GsonHelper.getString(json,"TpAppId"));
    openTicket.setEventTime(GsonHelper.getString(json,"EventTime"));
    openTicket.setAuthorizationCode(GsonHelper.getString(json,"AuthorizationCode"));
    openTicket.setAuthorizationCodeExpiresIn(GsonHelper.getInteger(json,"AuthorizationCodeExpiresIn"));

    openTicket.setAuditResults(json.getAsJsonArray("AuditResults"));
    return openTicket;
  }

}
