package com.iformall.service.toutiao.api.bean;

import com.google.gson.JsonArray;
import lombok.*;

import java.io.Serializable;

/**
 * @author S
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TtOpenShopMaterial implements Serializable {


  private static final long serialVersionUID = -7209805209834111965L;

  private String clientKey;//服务商在抖音开放平台的应用唯一标识

  /**
   * 接入方店铺 ID
   */
  private String supplierExtId;

  /**
   * 商铺营业执照路径
   */
  private String bizLicencePath;//商铺营业执照路径

  private String contractPath;//商家授权函

  private String qualMaterial;//商铺行业资质材料信息

  //2019-01-14 12:45:10
  private String expireTime;

  private String additionalQual;//其他补充资质


  public String toJson() {
    return TtOpenGsonBuilder.create().toJson(this);
  }

}
