package com.iformall.service.toutiao.miniapp.impl;

import com.iformall.service.toutiao.miniapp.TtMaQrcode;
import com.iformall.service.toutiao.miniapp.TtMaQrcodeService;
import com.iformall.service.toutiao.miniapp.TtMaService;
import com.iformall.service.toutiao.miniapp.TtQrcodeRequestExecutor;
import lombok.AllArgsConstructor;
import me.chanjar.weixin.common.error.WxErrorException;

import java.io.File;

/**
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 */
@AllArgsConstructor
public class TtMaQrcodeServiceImpl implements TtMaQrcodeService {

  private TtMaService ttMaService;

  @Override
  public File createTtaCode(String appname, String path, int width) throws WxErrorException {
    final TtQrcodeRequestExecutor executor = new TtQrcodeRequestExecutor(this.ttMaService.getRequestHttp());
    return this.ttMaService.execute(executor, GET_TTACODE_URL, new TtMaQrcode(appname,path, width));
  }

}
