package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.1 审核事件推送
 */
@Component
public class CardCheckHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *    <ToUserName><![CDATA[toUser]]></ToUserName>
         *     <FromUserName><![CDATA[FromUser]]></FromUserName>
         *     <CreateTime>123456789</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[card_pass_check]]></Event> //不通过为card_not_pass_check
         *    <CardId><![CDATA[cardid]]></CardId>
         *     <RefuseReason><![CDATA[非法代制]]></RefuseReason>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_PASS_CHECK)) {
        } else if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_NOT_PASS_CHECK)) {
        }
        return null;
    }

}
