package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.11 券点流水详情事件
 */
@Component
public class CardPayOrderHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *    <ToUserName><![CDATA[gh_7223c83d4be5]]></ToUserName>
         *     <FromUserName><![CDATA[ob5E7s-HoN9tslQY3-0I4qmgluHk]]></FromUserName>
         *     <CreateTime>1453295737</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[card_pay_order]]></Event>
         *     <OrderId><![CDATA[404091456]]></OrderId>
         *     <Status><![CDATA[ORDER_STATUS_FINANCE_SUCC]]></Status>
         *     <CreateOrderTime>1453295737</CreateOrderTime>
         *     <PayFinishTime>0</PayFinishTime>
         *     <Desc><![CDATA[]]></Desc>
         *     <FreeCoinCount><![CDATA[200]]></FreeCoinCount>
         *     <PayCoinCount><![CDATA[0]]></PayCoinCount>
         *     <RefundFreeCoinCount><![CDATA[0]]></RefundFreeCoinCount>
         *     <RefundPayCoinCount><![CDATA[0]]></RefundPayCoinCount>
         *     <OrderType><![CDATA[ORDER_TYPE_SYS_ADD]]></OrderType>
         *     <Memo><![CDATA[开通账户奖励]]></Memo>
         *     <ReceiptInfo><![CDATA[]]></ReceiptInfo>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_PAY_ORDER)) {
        }
        return null;
    }

}
